Package org.apache.wiki.htmltowiki.syntax

## Class TableDecorator

- java.lang.Object
- - org.apache.wiki.htmltowiki.syntax.TableDecorator

    public class TableDecorator
    extends java.lang.Object

Translates to wiki syntax from a `TABLE` element.

### Field Summary

Fields
`protected XHtmlElementToWikiTranslator` `chain`
`protected java.io.PrintWriter` `out`
`protected WhitespaceTrimWriter` `outTrimmer`

### Constructor Summary

Constructors
`TableDecorator​(java.io.PrintWriter out, WhitespaceTrimWriter outTrimmer, XHtmlElementToWikiTranslator chain)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `decorate​(org.jdom2.Element element)` Translates the given XHTML element into wiki markup.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### out

    protected final java.io.PrintWriter out

#### chain

    protected final XHtmlElementToWikiTranslator chain

#### outTrimmer

    protected final WhitespaceTrimWriter outTrimmer

### Constructor Detail

#### TableDecorator

    public TableDecorator​(java.io.PrintWriter out,
                          WhitespaceTrimWriter outTrimmer,
                          XHtmlElementToWikiTranslator chain)

### Method Detail

#### decorate

    public void decorate​(org.jdom2.Element element)
                  throws org.jdom2.JDOMException

Translates the given XHTML element into wiki markup.

Parameters:
  `element` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`